From 68fcfefd5ce34d4423d5a6b9e23ad4a4ec620378 Mon Sep 17 00:00:00 2001
From: Arnaud Rebillout <arnaudr@kali.org>
Date: Mon, 29 Jan 2024 11:12:02 +0700
Subject: [PATCH] Add Kali to the list of distros with a merged-usr layout

---
 debian/bug-script    | 4 ++++
 debian/dpkg.postinst | 4 ++++
 debian/rules         | 2 +-
 3 files changed, 9 insertions(+), 1 deletion(-)

diff --git a/debian/bug-script b/debian/bug-script
index 92b933da1..c690b12b6 100644
--- a/debian/bug-script
+++ b/debian/bug-script
@@ -30,6 +30,10 @@ check_merged_usr_via_aliased_dirs()
     # Ubuntu does not seem interested in it.
     return
     ;;
+  kali)
+    # Kali neither.
+    return
+    ;;
   esac
 
   for d in /bin /sbin /lib /lib32 /libo32 /libx32 /lib64; do
diff --git a/debian/dpkg.postinst b/debian/dpkg.postinst
index 113c8d53a..becfaafc8 100644
--- a/debian/dpkg.postinst
+++ b/debian/dpkg.postinst
@@ -39,6 +39,10 @@ check_merged_usr_via_aliased_dirs()
     # Ubuntu does not seem interested in it.
     return
     ;;
+  kali)
+    # Kali neither.
+    return
+    ;;
   esac
 
   for d in /bin /sbin /lib /lib32 /libo32 /libx32 /lib64; do
diff --git a/debian/rules b/debian/rules
index f4b923542..0f56f4b0d 100755
--- a/debian/rules
+++ b/debian/rules
@@ -89,7 +89,7 @@ override_dh_bugfiles:
 override_dh_compress:
 	dh_compress -Xspec/
 
-ifeq (,$(filter $(DEB_VENDOR),Debian Ubuntu))
+ifeq (,$(filter $(DEB_VENDOR),Debian Kali Ubuntu))
 execute_after_dh_install:
 	dh_install -pdpkg usr/sbin/dpkg-fsys-usrunmess
 
-- 
2.43.0

